package com.isu.gaswellwatch.vo.summary;

import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
@EqualsAndHashCode
@ToString(callSuper = true)
public class PieDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer value;

    private String name;


    public PieDataVO(String name, Integer value) {
        this.name = name;
        this.value = value;
    }
}
